// Code generated by protoc-gen-go. DO NOT EDIT.
// source: google/cloud/talent/v4beta1/tenant.proto

package talent // import "google.golang.org/genproto/googleapis/cloud/talent/v4beta1"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/annotations"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Enum that represents how user data owned by the tenant is used.
type Tenant_DataUsageType int32

const (
	// Default value.
	Tenant_DATA_USAGE_TYPE_UNSPECIFIED Tenant_DataUsageType = 0
	// Data owned by this tenant is used to improve search/recommendation
	// quality across tenants.
	Tenant_AGGREGATED Tenant_DataUsageType = 1
	// Data owned by this tenant is used to improve search/recommendation
	// quality for this tenant only.
	Tenant_ISOLATED Tenant_DataUsageType = 2
)

var Tenant_DataUsageType_name = map[int32]string{
	0: "DATA_USAGE_TYPE_UNSPECIFIED",
	1: "AGGREGATED",
	2: "ISOLATED",
}
var Tenant_DataUsageType_value = map[string]int32{
	"DATA_USAGE_TYPE_UNSPECIFIED": 0,
	"AGGREGATED":                  1,
	"ISOLATED":                    2,
}

func (x Tenant_DataUsageType) String() string {
	return proto.EnumName(Tenant_DataUsageType_name, int32(x))
}
func (Tenant_DataUsageType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_tenant_d1eff8917a353148, []int{0, 0}
}

// A Tenant resource represents a tenant in the service. A tenant is a group or
// entity that shares common access with specific privileges for resources like
// profiles. Customer may create multiple tenants to provide data isolation for
// different groups.
type Tenant struct {
	// Required during tenant update.
	//
	// The resource name for a tenant. This is generated by the service when a
	// tenant is created.
	//
	// The format is "projects/{project_id}/tenants/{tenant_id}", for example,
	// "projects/api-test-project/tenants/foo".
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Required.
	//
	// Client side tenant identifier, used to uniquely identify the tenant.
	//
	// The maximum number of allowed characters is 255.
	ExternalId string `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	// Optional.
	//
	// Indicates whether data owned by this tenant may be used to provide product
	// improvements across other tenants.
	//
	// Defaults behavior is [DataUsageType.ISOLATED][google.cloud.talent.v4beta1.Tenant.DataUsageType.ISOLATED] if it's unset.
	UsageType            Tenant_DataUsageType `protobuf:"varint,3,opt,name=usage_type,json=usageType,proto3,enum=google.cloud.talent.v4beta1.Tenant_DataUsageType" json:"usage_type,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Tenant) Reset()         { *m = Tenant{} }
func (m *Tenant) String() string { return proto.CompactTextString(m) }
func (*Tenant) ProtoMessage()    {}
func (*Tenant) Descriptor() ([]byte, []int) {
	return fileDescriptor_tenant_d1eff8917a353148, []int{0}
}
func (m *Tenant) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Tenant.Unmarshal(m, b)
}
func (m *Tenant) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Tenant.Marshal(b, m, deterministic)
}
func (dst *Tenant) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Tenant.Merge(dst, src)
}
func (m *Tenant) XXX_Size() int {
	return xxx_messageInfo_Tenant.Size(m)
}
func (m *Tenant) XXX_DiscardUnknown() {
	xxx_messageInfo_Tenant.DiscardUnknown(m)
}

var xxx_messageInfo_Tenant proto.InternalMessageInfo

func (m *Tenant) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Tenant) GetExternalId() string {
	if m != nil {
		return m.ExternalId
	}
	return ""
}

func (m *Tenant) GetUsageType() Tenant_DataUsageType {
	if m != nil {
		return m.UsageType
	}
	return Tenant_DATA_USAGE_TYPE_UNSPECIFIED
}

func init() {
	proto.RegisterType((*Tenant)(nil), "google.cloud.talent.v4beta1.Tenant")
	proto.RegisterEnum("google.cloud.talent.v4beta1.Tenant_DataUsageType", Tenant_DataUsageType_name, Tenant_DataUsageType_value)
}

func init() {
	proto.RegisterFile("google/cloud/talent/v4beta1/tenant.proto", fileDescriptor_tenant_d1eff8917a353148)
}

var fileDescriptor_tenant_d1eff8917a353148 = []byte{
	// 330 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x91, 0xc1, 0x6a, 0xe3, 0x30,
	0x10, 0x86, 0x57, 0xc9, 0x12, 0x36, 0xda, 0xdd, 0x10, 0xd4, 0x4b, 0x48, 0x0a, 0x09, 0x39, 0xe5,
	0x24, 0x91, 0xb6, 0xb7, 0x9e, 0x9c, 0xd8, 0x35, 0x86, 0x92, 0x1a, 0xdb, 0x39, 0xb4, 0x17, 0xa3,
	0x38, 0x42, 0x18, 0x6c, 0x8d, 0xb1, 0xe5, 0xd2, 0x1c, 0xfb, 0x2a, 0x7d, 0xb1, 0xbe, 0x4a, 0x89,
	0x94, 0x1c, 0x0a, 0x25, 0xb7, 0x19, 0xfd, 0xdf, 0x3f, 0xf3, 0x33, 0xc2, 0x0b, 0x09, 0x20, 0x0b,
	0xc1, 0xb2, 0x02, 0xda, 0x3d, 0xd3, 0xbc, 0x10, 0x4a, 0xb3, 0xd7, 0xbb, 0x9d, 0xd0, 0x7c, 0xc9,
	0xb4, 0x50, 0x5c, 0x69, 0x5a, 0xd5, 0xa0, 0x81, 0x4c, 0x2c, 0x49, 0x0d, 0x49, 0x2d, 0x49, 0x4f,
	0xe4, 0xf8, 0xe2, 0x98, 0x0c, 0xca, 0x12, 0x94, 0x1d, 0x33, 0xbe, 0x3e, 0x91, 0xbc, 0xca, 0x19,
	0x57, 0x0a, 0x34, 0xd7, 0x39, 0xa8, 0xc6, 0xaa, 0xf3, 0x4f, 0x84, 0x7b, 0x89, 0xd9, 0x4a, 0x08,
	0xfe, 0xad, 0x78, 0x29, 0x46, 0x68, 0x86, 0x16, 0xfd, 0xc8, 0xd4, 0x64, 0x8a, 0xff, 0x8a, 0x37,
	0x2d, 0x6a, 0xc5, 0x8b, 0x34, 0xdf, 0x8f, 0x3a, 0x46, 0xc2, 0xe7, 0xa7, 0x60, 0x4f, 0x42, 0x8c,
	0xdb, 0x86, 0x4b, 0x91, 0xea, 0x43, 0x25, 0x46, 0xdd, 0x19, 0x5a, 0x0c, 0x6e, 0x96, 0xf4, 0x42,
	0x72, 0x6a, 0xb7, 0x51, 0x97, 0x6b, 0xbe, 0x3d, 0x3a, 0x93, 0x43, 0x25, 0xa2, 0x7e, 0x7b, 0x2e,
	0xe7, 0x1b, 0xfc, 0xff, 0x9b, 0x46, 0xa6, 0x78, 0xe2, 0x3a, 0x89, 0x93, 0x6e, 0x63, 0xc7, 0xf7,
	0xd2, 0xe4, 0x39, 0xf4, 0xd2, 0xed, 0x26, 0x0e, 0xbd, 0x75, 0xf0, 0x10, 0x78, 0xee, 0xf0, 0x17,
	0x19, 0x60, 0xec, 0xf8, 0x7e, 0xe4, 0xf9, 0x4e, 0xe2, 0xb9, 0x43, 0x44, 0xfe, 0xe1, 0x3f, 0x41,
	0xfc, 0xf4, 0x68, 0xba, 0xce, 0xea, 0x1d, 0xe1, 0x69, 0x06, 0xe5, 0xa5, 0x4c, 0xab, 0x2b, 0x1b,
	0x2a, 0x12, 0x0d, 0xb4, 0x75, 0x26, 0xc2, 0xe3, 0x69, 0x42, 0xf4, 0xe2, 0x9c, 0x3c, 0x12, 0x0a,
	0xae, 0x24, 0x85, 0x5a, 0x32, 0x29, 0x94, 0x39, 0x1c, 0xb3, 0x12, 0xaf, 0xf2, 0xe6, 0xc7, 0x3f,
	0xb8, 0xb7, 0xed, 0x47, 0xa7, 0xbb, 0x4e, 0xe2, 0x5d, 0xcf, 0x78, 0x6e, 0xbf, 0x02, 0x00, 0x00,
	0xff, 0xff, 0xcb, 0x3d, 0x60, 0xf6, 0xfd, 0x01, 0x00, 0x00,
}
